/* junkie - gui ftp client
 * Copyright (c) 2002-2003, Gunnsteinn Hall, Joel Thomas, Martin Faxer
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 *
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 * 3. Neither the name of the copyright holders nor the names of the
 *    contributors may be used to endorse or promote products derived from
 *    this software without specific prior written permission.
 * 
 *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
 *  ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
 *  LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
 *  A PARTICULAR PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL THE COPYRIGHT
 *  HOLDERS OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
 *  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED
 *  TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
 *  PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF
 *  LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
 *  NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
 *  SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */
/*
 * $Id: gui_ftp.h,v 1.12 2003/02/24 15:51:21 thepin Exp $
 */

#ifndef _GUI_FTP_H
#define _GUI_FTP_H
#include <gtk/gtk.h>
#include <ftp.h>
#include <ftp_request.h>
#include <misc.h>

int gui_ftp_setup_write(_ftp_item *, int);
int gui_ftp_setup_events(_ftp_item *);
gboolean gui_ftp_event_handler(GIOChannel *e, GIOCondition, gpointer);
void gui_medium_setup(void);
int gui_ftp_setup(_ftp_item *, int);
_ftp_item *gui_ftp_connect(const char *, int, int, const char *, const char *, cb);
ftp_request *gui_ftp_mkdir(_ftp_item *, FTP_CALLBACK(x), char *, const char *, void *);
ftp_request *gui_ftp_list(_ftp_item *, FTP_CALLBACK(x), int, char *, const char *, void *);
ftp_request *gui_ftp_list_with_req(_ftp_item *, ftp_request *, FTP_CALLBACK(x), int, char *, const char *, void *);
ftp_request *gui_ftp_retr(_ftp_item *, struct _list *, FTP_CALLBACK(x), const char *, void *);
ftp_request *gui_ftp_stor(_ftp_item *, struct _list *, FTP_CALLBACK(x), const char *, void *);

_ftp_item * gui_ftp_current_connection();


#endif
